## nvidia-graphics-drivers 525.116.04

=== debian/changelog ===
nvidia-graphics-drivers (525.116.04-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 Jul 2023 15:20:12 -0700

nvidia-graphics-drivers (525.116.04-1) unstable; urgency=medium

  * New upstream production branch release 525.116.04 (2023-05-09).
  * New upstream production branch release 525.116.03 (2023-04-25).
    - Fixed a regression in Luxmark performance between 525.89.02 and
      525.105.17.
    - Fixed a bug that could cause an unexpected
      VK_ERROR_NATIVE_WINDOW_IN_USE_KHR error in certain circumstances when
      recreating Vulkan surfaces.
    - Fixed a regression that caused brightness control to not vary
      smoothly across the range of values.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jun 2023 01:19:51 +0200

nvidia-graphics-drivers (525.105.17-2) unstable; urgency=medium

  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Jun 2023 16:21:51 +0200

nvidia-graphics-drivers (510.108.03-4) UNRELEASED; urgency=medium

  * Backport vm_area_struct_has_const_vm_flags changes from 525.105.17 to fix
    kernel module build for Linux 6.3.
  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.
  * Add versioned Provides: nvidia-kernel-dkms-any (515.65.01-1).
  * Fix nvngx.dll install location (525.89.02-1).  (Closes: #1031185)
  * Updated Turkish (tr) debconf translations by Atila KOÇ.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Jun 2023 18:44:17 +0200
