## nvidia-graphics-drivers 525.125.06

=== debian/changelog ===
nvidia-graphics-drivers (525.125.06-3parrot1) lory; urgency=medium

  * Import new Debian release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 23 Nov 2023 16:32:54 +0100

nvidia-graphics-drivers (525.125.06-3) unstable; urgency=medium

  * Backport drm_gem_prime_handle_to_fd changes from 470.223.02 to fix kernel
    module build for Linux 6.6.
  * Switch suggestion from obsolete vulkan-utils to vulkan-tools.
    (Closes: #1055503)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Nov 2023 19:23:06 +0100

nvidia-graphics-drivers (525.125.06-2) unstable; urgency=medium

  * Backport get_user_pages and pin_user_pages changes from
    535.86.05 to fix kernel module build for Linux 6.5.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Aug 2023 00:34:55 +0200

nvidia-graphics-drivers (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 16:16:16 +0200

nvidia-graphics-drivers (525.125.06-1) unstable; urgency=medium

  * New upstream production branch release 525.125.06 (2023-06-26).
    * Fixed CVE-2023-25515, CVE-2023-25516.  (Closes: #1039678)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5468
    - Fixed a bug which prevented running a Wayland compositor in headless
      mode on GPUs without display hardware.
    * Fixed undisclosed bugs.  (Closes: #1037468)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 09:52:32 +0200
