## nvidia-graphics-drivers 525.147.05

=== debian/changelog ===
nvidia-graphics-drivers (525.147.05-7~deb12u1~bpo11+2) bullseye-backports; urgency=medium

  * Move firmware-nvidia-gsp back to non-free.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Mar 2024 14:58:09 +0100

nvidia-graphics-drivers (525.147.05-7~deb12u1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Feb 2024 17:47:43 +0100

nvidia-graphics-drivers (525.147.05-7~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Feb 2024 02:33:42 +0100

nvidia-graphics-drivers (525.147.05-7) unstable; urgency=medium

  * nvidia-detect: Fix mismerge breaking Tesla 470 detection.
    (Closes: #1063910)
  * Relax dh-dkms build-dependency, satisfied in stable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Feb 2024 00:55:07 +0100

nvidia-graphics-drivers (525.147.05-6~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Feb 2024 02:35:05 +0100

nvidia-graphics-drivers (525.147.05-6) unstable; urgency=medium

  * Apply pfn_valid patch from gentoo to fix kernel module build for
    Linux 6.1.76, 6.6.15, 6.7.3, 6.8.  (Closes: #1063363, #1062932)
  * nvidia-detect: Tesla and regular driver packages have been merged.
  * nvidia-detect: Add superficial autopkgtest for checking codename support.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Feb 2024 20:43:30 +0100

nvidia-graphics-drivers (525.147.05-5) unstable; urgency=medium

  * Switch src:nvidia-graphics-drivers to the Tesla driver series.
  * Build for ppc64el.
  * Build all unversioned packages from src:nvidia-graphics-drivers.
  * Enable nvidia-suspend-common.  (Closes: #1059581, #1056557, #1062281)
  * nvidia-suspend-common: Depend on kbd for chvt.  (Closes: #1058081)
  * New Romanian (ro) debconf translations by Remus-Gabriel Chelu.
    (Closes: #1059590)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Jan 2024 18:13:36 +0100

nvidia-graphics-drivers (525.147.05-4~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Dec 2023 00:24:21 +0100

nvidia-graphics-drivers (525.147.05-4) unstable; urgency=medium

  * Build libnvidia-fbc1 for arm64, too.  (Closes: #1057078)
  * bug-control: Report information about more driver components.
  * Do not yet recommend nvidia-suspend-common.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 01 Dec 2023 18:10:19 +0100

nvidia-graphics-drivers (525.147.05-3) UNRELEASED; urgency=medium

  * nvidia-suspend-common: Do not start services on installation/upgrade.
    (Closes: #1056384)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Nov 2023 11:50:38 +0100

nvidia-graphics-drivers (525.147.05-2) UNRELEASED; urgency=medium

  * nvidia-suspend-common: Do not stop/restart services on upgrade.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Nov 2023 10:31:01 +0100

nvidia-graphics-drivers (525.147.05-1) unstable; urgency=medium

  * New upstream production branch release 525.147.05 (2023-10-31).
    * Fixed CVE-2023-31022.  (Closes: #1055136)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5491
    - Fixed a bug which could cause some DisplayPort monitors to flicker.
    - Fixed a bug that could cause monitors to flicker when the performance
      state changes on Turing GPUs.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2023 02:33:52 +0100

nvidia-graphics-drivers (525.125.06-3) UNRELEASED; urgency=medium

  * nvidia-suspend-common: New package for the systemd power management
    integration scripts.  (Closes: #1038006)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Nov 2023 19:43:51 +0100

nvidia-graphics-drivers (510.108.03-3) UNRELEASED; urgency=medium

  * Add versioned Provides: nvidia-kernel-dkms-any (515.65.01-1).
  * Fix nvngx.dll install location (525.89.02-1).  (Closes: #1031185)
  * Updated Turkish (tr) debconf translations by Atila KOÇ. (Closes: #1033418)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Apr 2023 17:11:24 +0200

nvidia-graphics-drivers (510.85.02-1) UNRELEASED; urgency=medium

  * Build the nvidia-powerd package, but ship the insecure nvidia-dbus.conf as
    an example only.  (Closes: #1014283)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Aug 2022 19:00:36 +0200

nvidia-graphics-drivers (470.223.02-2) UNRELEASED; urgency=medium

  * Build libnvidia-fbc1 for arm64, too.  (Closes: #1057078)
  * bug-control: Report information about more driver components.
  * nvidia-detect: Drop support for Tesla 450 drivers (EoL).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Nov 2023 14:58:15 +0100

nvidia-graphics-drivers (470.103.01-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Feb 2022 13:36:10 +0100

nvidia-graphics-drivers (470.94-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Jan 2022 11:48:13 +0100
