=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  dh-sequence-dkms,
- dh-dkms (>= 3.0.3-4~),
  dh-exec,
  libnvidia-egl-wayland1,
  libvulkan1 (>= 1.0.42),
@@ -33,7 +32,7 @@
 
 Package: nvidia-driver
 Section: non-free/x11
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Pre-Depends:
  nvidia-installer-cleanup,
  ${nvidia:legacy-check},
@@ -70,7 +69,7 @@
  Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.
 
 Package: nvidia-alternative
-Architecture: i386 amd64 arm64
+Architecture: i386 amd64 arm64 ppc64el
 Multi-Arch: foreign
 Pre-Depends:
  dpkg (>= 1.17.21),
@@ -110,7 +109,7 @@
  ${nvidia}-driver package instead.
 
 Package: firmware-nvidia-gsp
-Section: non-free-firmware/kernel
+Section: non-free/kernel
 Architecture: amd64 arm64
 Multi-Arch: foreign
 Depends:
@@ -129,7 +128,7 @@
 
 Package: nvidia-kernel-support
 Section: non-free/kernel
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Multi-Arch: foreign
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
@@ -149,7 +148,7 @@
 
 Package: nvidia-kernel-dkms
 Section: non-free/kernel
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Multi-Arch: foreign
 Pre-Depends:
  nvidia-installer-cleanup,
@@ -186,7 +185,7 @@
 
 Package: nvidia-kernel-source
 Section: non-free/kernel
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Depends:
  debhelper-compat (= ${nvidia:debhelper-compat}),
  module-assistant,
@@ -218,7 +217,7 @@
 
 Package: xserver-xorg-video-nvidia
 Section: non-free/x11
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Pre-Depends:
  nvidia-installer-cleanup,
  ${nvidia:legacy-check},
@@ -250,8 +249,19 @@
  See /usr/share/doc/${nvidia}-driver/README.txt.gz
  for a complete list of supported GPUs and PCI IDs.
 
+Package: nvidia-suspend-common
+Section: non-free/x11
+Architecture: amd64 arm64 ppc64el
+Multi-Arch: foreign
+Depends:
+ kbd,
+ ${misc:Depends}
+Description: NVIDIA driver - systemd power management scripts
+ This package provides the common files for the NVIDIA power management
+ integration with systemd.
+
 Package: nvidia-legacy-check
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Multi-Arch: foreign
 Pre-Depends:
  debconf | debconf-2.0,
@@ -268,7 +278,7 @@
 
 Package: nvidia-driver-bin
 Section: non-free/x11
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
@@ -286,7 +296,7 @@
  This package contains supporting binaries for the driver.
 
 Package: libnvidia-cfg1
-Architecture: amd64 arm64
+Architecture: amd64 arm64 ppc64el
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
@@ -304,7 +314,7 @@
  This package contains the libnvidia-cfg.so.1 runtime library.
 
 Package: nvidia-driver-libs
-Architecture: i386 amd64 arm64
+Architecture: i386 amd64 arm64 ppc64el
 Multi-Arch: same
 Depends:
  libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
@@ -341,7 +351,7 @@
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.
 
 Package: libglx-nvidia0
-Architecture: i386 amd64 arm64
+Architecture: i386 amd64 arm64 ppc64el
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
@@ -352,13 +362,3 @@
 Provides:
  libglx-vendor,
 Description: NVIDIA binary GLX library${nvidia:VariantDesc}
- GLX ("OpenGL Extension to the X Window System") provides an interface between
- OpenGL and the X Window System as well as extensions to OpenGL itself.
- .
- See the description of the ${nvidia}-driver package
- or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
- for a complete list of supported GPUs and PCI IDs.
- .
- This package contains the driver specific binary GLX implementation by NVIDIA
- that is accessed via GLVND.
-
