=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,11 @@
 LINUX_KMOD_VARIANT	?=
 LINUX_KMOD_TESTED	?=
 NVIDIA_LEGACY_CHECK	?=
-NVIDIA_SETTINGS		?= nvidia-settings$(-variant)
+NVIDIA_SETTINGS		?= nvidia-settings$(-variant) (>= $(NVIDIA_MAJOR))
 ARCH_CANDIDATES		?= amd64 i386 armhf arm64 ppc64el
 ARCH_LIST		?= amd64
 NO_DRIVER_ARCH_LIST	?=
+NO_TARBALL_ARCH_LIST	?=
 NO_AUTOPKGTEST_ARCH_LIST?=
 NO_GSP_ARCH_LIST	?=
 
@@ -55,6 +56,7 @@
 debhelper_compat	:= $(shell sed -rn 's/.*debhelper-compat \(= ([0-9]+)\).*/\1/p' debian/control)
 has_driver		 = $(filter $(DEB_HOST_ARCH),$(DRIVER_ARCH_LIST))
 DRIVER_ARCH_LIST	 = $(filter-out $(NO_DRIVER_ARCH_LIST),$(ARCH_LIST))
+TARBALL_ARCH_LIST	 = $(filter-out $(NO_TARBALL_ARCH_LIST),$(DRIVER_ARCH_LIST))
 AUTOPKGTEST_ARCH_LIST	 = $(filter-out $(NO_AUTOPKGTEST_ARCH_LIST),$(DRIVER_ARCH_LIST))
 GSP_ARCH_LIST		 = $(filter-out $(NO_GSP_ARCH_LIST),$(DRIVER_ARCH_LIST))
 
@@ -166,8 +168,9 @@
 	cp -al $</*.json* $@
 endif
 
-# Unpack all architectures, we may need files from all of them.
-unpack-stamp: $(patsubst %,NVIDIA-Linux-%,$(ARCH_LIST))
+# Always unpack amd64, we need files from them.
+unpack-stamp: NVIDIA-Linux-amd64
+unpack-stamp: NVIDIA-Linux-$(DEB_HOST_ARCH)
 	$(if $(filter $(DEB_HOST_ARCH),$(ARCH_LIST)),,$(error Architecture $(DEB_HOST_ARCH) unsupported.))
 	dh_testdir
 	$(RM) NVIDIA-Linux
@@ -190,12 +193,7 @@
 		: "*** Supported PCI IDs have changed. See diff above. Aborting. ***"; \
 		exit 1 ; \
 	fi
-ifneq (,$(variant))
+ifneq (,$(variant:tesla=))
 	@set -e -x ; \
 	if ! cmp -s debian/detect/$(nvidia).ids $@ ; then \
 		diff -u debian/detect/$(nvidia).ids $@ || true ; \
-		: "*** Supported PCI IDs of the $(nvidia) variant have changed. See diff above. Aborting. ***"; \
-		exit 1 ; \
-	fi
-endif
-
