## nvidia-graphics-drivers 535.104.05

=== debian/changelog ===
nvidia-graphics-drivers (535.104.05-0siduction1) experimental; urgency=medium

  * New upstream release

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 29 Aug 2023 18:41:02 +0200

nvidia-graphics-drivers (535.98-0siduction1) experimental; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 17 Aug 2023 22:39:12 +0200
