=== debian/control ===
--- 
+++ 
@@ -8,17 +8,19 @@
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 525
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 535
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
  dh-sequence-dkms,
+ dh-dkms (>= 3.0.3-4~),
  dh-exec,
  libnvidia-egl-wayland1,
  libvulkan1 (>= 1.0.42),
  libxext6,
  po-debconf,
  quilt,
+ zstd,
  xz-utils,
  linux-headers-amd64 [amd64] <!nocheck>,
  linux-headers-arm64 [arm64] <!nocheck>,
@@ -32,7 +34,7 @@
 
 Package: nvidia-driver
 Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Pre-Depends:
  nvidia-installer-cleanup,
  ${nvidia:legacy-check},
@@ -69,7 +71,7 @@
  Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.
 
 Package: nvidia-alternative
-Architecture: i386 amd64 arm64 ppc64el
+Architecture: i386 amd64
 Multi-Arch: foreign
 Pre-Depends:
  dpkg (>= 1.17.21),
@@ -109,8 +111,8 @@
  ${nvidia}-driver package instead.
 
 Package: firmware-nvidia-gsp
-Section: non-free/kernel
-Architecture: amd64 arm64
+Section: non-free-firmware/kernel
+Architecture: amd64
 Multi-Arch: foreign
 Depends:
  ${misc:Depends}
@@ -128,7 +130,7 @@
 
 Package: nvidia-kernel-support
 Section: non-free/kernel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Multi-Arch: foreign
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
@@ -148,7 +150,7 @@
 
 Package: nvidia-kernel-dkms
 Section: non-free/kernel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Multi-Arch: foreign
 Pre-Depends:
  nvidia-installer-cleanup,
@@ -185,7 +187,7 @@
 
 Package: nvidia-kernel-source
 Section: non-free/kernel
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Depends:
  debhelper-compat (= ${nvidia:debhelper-compat}),
  module-assistant,
@@ -217,7 +219,7 @@
 
 Package: xserver-xorg-video-nvidia
 Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Pre-Depends:
  nvidia-installer-cleanup,
  ${nvidia:legacy-check},
@@ -230,7 +232,6 @@
  ${nvidia}-driver (>= ${nvidia:Version}),
  ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
  ${nvidia:kmod:binary},
- nvidia-suspend-common,
  ${nvidia-settings},
 Suggests:
  ${nvidia:kmod:source},
@@ -249,19 +250,8 @@
  See /usr/share/doc/${nvidia}-driver/README.txt.gz
  for a complete list of supported GPUs and PCI IDs.
 
-Package: nvidia-suspend-common
-Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
-Multi-Arch: foreign
-Depends:
- kbd,
- ${misc:Depends}
-Description: NVIDIA driver - systemd power management scripts
- This package provides the common files for the NVIDIA power management
- integration with systemd.
-
 Package: nvidia-legacy-check
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Multi-Arch: foreign
 Pre-Depends:
  debconf | debconf-2.0,
@@ -278,7 +268,7 @@
 
 Package: nvidia-driver-bin
 Section: non-free/x11
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
@@ -296,7 +286,7 @@
  This package contains supporting binaries for the driver.
 
 Package: libnvidia-cfg1
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
@@ -314,7 +304,7 @@
  This package contains the libnvidia-cfg.so.1 runtime library.
 
 Package: nvidia-driver-libs
-Architecture: i386 amd64 arm64 ppc64el
+Architecture: i386 amd64
 Multi-Arch: same
 Depends:
  libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
@@ -351,7 +341,7 @@
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.
 
 Package: libglx-nvidia0
-Architecture: i386 amd64 arm64 ppc64el
+Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
@@ -362,3 +352,17 @@
 Provides:
  libglx-vendor,
 Description: NVIDIA binary GLX library${nvidia:VariantDesc}
+ GLX ("OpenGL Extension to the X Window System") provides an interface between
+ OpenGL and the X Window System as well as extensions to OpenGL itself.
+ .
+ See the description of the ${nvidia}-driver package
+ or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
+ for a complete list of supported GPUs and PCI IDs.
+ .
+ This package contains the driver specific binary GLX implementation by NVIDIA
+ that is accessed via GLVND.
+
+Package: libgl1-nvidia-glvnd-glx
+Architecture: i386 amd64
+Multi-Arch: same
+Depends:
