=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
-NVIDIA_MAJOR		 = $(firstword $(subst ., ,$(NVIDIA_RELEASE)))
 include debian/rules.defs
 NVIDIA_TESLA		?=
 NVIDIA_LEGACY		?=
@@ -19,16 +17,16 @@
 LINUX_KMOD_VARIANT	?=
 LINUX_KMOD_TESTED	?=
 NVIDIA_LEGACY_CHECK	?=
-NVIDIA_SETTINGS		?= nvidia-settings$(-variant) (>= $(NVIDIA_MAJOR))
-ARCH_CANDIDATES		?= amd64 i386 armhf arm64 ppc64el
+NVIDIA_SETTINGS		?= nvidia-settings$(-variant)
+ARCH_CANDIDATES		?= amd64 i386
 ARCH_LIST		?= amd64
 NO_DRIVER_ARCH_LIST	?=
-NO_TARBALL_ARCH_LIST	?=
 NO_AUTOPKGTEST_ARCH_LIST?=
 NO_GSP_ARCH_LIST	?=
 
+NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
 version			 = $(NVIDIA_RELEASE)
-version_major		 = $(NVIDIA_MAJOR)
+version_major		 = $(firstword $(subst ., ,$(version)))
 ifeq (yes,$(NVIDIA_TESLA))
 variant			 = $(if $(NVIDIA_TESLA),tesla)
 variant_description	 = $(if $(NVIDIA_TESLA), (Tesla version))
@@ -56,7 +54,6 @@
 debhelper_compat	:= $(shell sed -rn 's/.*debhelper-compat \(= ([0-9]+)\).*/\1/p' debian/control)
 has_driver		 = $(filter $(DEB_HOST_ARCH),$(DRIVER_ARCH_LIST))
 DRIVER_ARCH_LIST	 = $(filter-out $(NO_DRIVER_ARCH_LIST),$(ARCH_LIST))
-TARBALL_ARCH_LIST	 = $(filter-out $(NO_TARBALL_ARCH_LIST),$(DRIVER_ARCH_LIST))
 AUTOPKGTEST_ARCH_LIST	 = $(filter-out $(NO_AUTOPKGTEST_ARCH_LIST),$(DRIVER_ARCH_LIST))
 GSP_ARCH_LIST		 = $(filter-out $(NO_GSP_ARCH_LIST),$(DRIVER_ARCH_LIST))
 
@@ -168,9 +165,8 @@
 	cp -al $</*.json* $@
 endif
 
-# Always unpack amd64, we need files from them.
-unpack-stamp: NVIDIA-Linux-amd64
-unpack-stamp: NVIDIA-Linux-$(DEB_HOST_ARCH)
+# Unpack all architectures, we may need files from all of them.
+unpack-stamp: $(patsubst %,NVIDIA-Linux-%,$(ARCH_LIST))
 	$(if $(filter $(DEB_HOST_ARCH),$(ARCH_LIST)),,$(error Architecture $(DEB_HOST_ARCH) unsupported.))
 	dh_testdir
 	$(RM) NVIDIA-Linux
@@ -193,7 +189,13 @@
 		: "*** Supported PCI IDs have changed. See diff above. Aborting. ***"; \
 		exit 1 ; \
 	fi
-ifneq (,$(variant:tesla=))
+ifneq (,$(variant))
 	@set -e -x ; \
 	if ! cmp -s debian/detect/$(nvidia).ids $@ ; then \
 		diff -u debian/detect/$(nvidia).ids $@ || true ; \
+		: "*** Supported PCI IDs of the $(nvidia) variant have changed. See diff above. Aborting. ***"; \
+		exit 1 ; \
+	fi
+endif
+
+nv-readme-open.ids: unpack-stamp
